DS_GET_ELEMENT(3)

FUNCTION
ds_get_element - Convert an atomic datum to a double precision complex value.

SYNOPSIS
#include <karma_ds.h>

flag ds_get_element

(CONST char *datum, unsigned int datum_type, double value[2], flag *complex)

DESCRIPTION
Convert an atomic datum to a double precision complex value.

datum
    A pointer to the datum to be converted.

datum_type
    The type of the datum.

value
    The data value will be written here.

complex
    If the datum is a complex type, then the value of TRUE is written here, else the value FALSE is written here. If this is NULL, nothing is written here.

RETURN VALUE
TRUE if the data was successfully converted, else FALSE.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/